/*    Copyright (C) 2010  Tomasz Bursztyka
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __CMD_H__
#define __CMD_H__

#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <limits.h>
#include <sys/types.h>
#include <grp.h>
#include <pwd.h>
#include <unistd.h>

#include <vpzone_internal.h>
#include <ptable.h>
#include <iface.h>
#include <plugin.h>
#include <dns.h>
#include <vpzone.h>
#include <log.h>

char **parse_command(char *cmd_line);

void free_cmd_line(char **cmd);

int init_commands(void);

ptable_t *init_command_set(const command_t *cmd_set);

int interpret_command(char **cmd, cmd_level_t level, ptable_t *fixed_cmds);

int command_cmp(const void *c1, const void *c2);

int add_command(command_t *cmd);

int del_command(command_t *cmd);

#endif
