/*    Copyright (C) 2010  Tomasz Bursztyka
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __CONFIGURATION_H__
#define __CONFIGURATION_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <getopt.h>

#include <sys/types.h>
#include <netdb.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>

#include <vpzone_internal.h>
#include <ptable.h>
#include <vpzone.h>
#include <utils.h>
#include <log.h>
#include <command.h>

#define DEFAULT_CONFIGURATION_FILE "/etc/vpzone/vpzone.conf"

#define CONFIG_PARAMS "df:h"

#define VPZONE_HELP_MSG "Usage: vpzone [-dhf] [config file]\n\
See man 8 vpzone for more informations.\n"

extern const struct option vpzone_config_opts[];

void parse_configuration(char *file_name, ptable_t *cmd_set);

#endif
