/*    Copyright (C) 2010  Tomasz Bursztyka
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __DNS_H__
#define __DNS_H__

#include <sys/time.h>

#include <vpzone_internal.h>
#include <vpzone.h>
#include <log.h>
#include <ptable.h>
#include <utils.h>

struct _mdns_req_s
{
	int sock;
	struct event ev_dns;
	void *mthing;
};

typedef struct _mdns_req_s mdns_req_t;

typedef void (*dns_callback_f) (void *, int, int, struct hostent *);

int dnsreq_cmp(const void *r1, const void*r2);

int hostname_lookup(mdevice_t *mdevice, char *host, dns_callback_f resolv_cb, void *arg);

void mnode_dns_resolution(void *arg, int status, int timeouts, struct hostent *hostent);

void mserver_dns_resolution(void *arg, int status, int timeouts, struct hostent *hostent);

#endif
