/*    Copyright (C) 2010  Tomasz Bursztyka
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __GNUTLS_PLUGIN_H__
#define __GNUTLS_PLUGIN_H__

#include <errno.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <gnutls/gnutls.h>

#include <vpzone_plugin.h>

#include <gnutls_cmd.h>

plugin_type_t init(int plugin_id, in_plugin_handlers_t *iph);

int unload(void);

cipher_t *get_ciphers(void);

int setup_mnode_server_cipher_gnutls(mnode_t *mnode);

int setup_mnode_client_cipher_gnutls(mnode_t *mnode);

int deinit_mnode_cipher_gnutls(mnode_t *mnode);

void recv_mnode_gnutls(int sock, short event, void *arg);

void send_mnode_gnutls(int sock, short event, void *arg);

#endif
