/*    Copyright (C) 2010  Tomasz Bursztyka
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __UDP_H__
#define __UDP_H__

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/stat.h>
#include <netinet/in.h>
#include <netdb.h>
#include <unistd.h>
#include <fcntl.h>

#include <vpzone_plugin.h>

plugin_type_t init(int plugin_id, in_plugin_handlers_t *iph);

int unload(void);

connector_t *get_connectors(void);

int setup_mserver_udp(mdevice_t *mdevice, mserver_t *mserver);

int close_mserver_udp(mdevice_t *mdevice, mserver_t *mserver);

void accept_mnode_udp(int fd, short event, void *arg);

int connect_mnode_udp(mnode_t *mnode);

void disconnect_mnode_udp(mnode_t *mnode);

#endif
