/*    Copyright (C) 2010  Tomasz Bursztyka
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __MANAGE_H__
#define __MANAGE_H__

#include <vpzone_plugin.h>

#include <manage_cmd.h>

#include <unistd.h>
#include <fcntl.h>
#include <netinet/tcp.h>
#include <sys/time.h>

#define MNG_PORT_DEFAULT 11111
#define MNG_MAX_PASSWORD 128

#define GPL_TERMINAL_MESSAGE "\
vpzone Copyright (C) 2010 Tomasz Bursztyka\n\
This program comes with ABSOLUTELY NO WARRANTY;\n\
This is free software, and you are welcome to redistribute it under certain conditions.\n\
See <http://www.gnu.org/licenses/> for more informations.\n"

plugin_type_t init(int plugin_id, in_plugin_handlers_t *iph);

int unload(void);

int setup_mng_socket(uint16_t port);

void client_disconnect(void);

#endif
